Subject: Re: [PATCH v15 03/15] selftests/powerpc: Add ptrace tests for EBB

From: Simon Guo <[email-masked]>
Date: Wed, 12 Oct 2016 22:06:34 +0800

On Fri, Oct 07, 2016 at 08:44:48AM +1100, Michael Ellerman wrote:
> [email-masked] writes:
> 
> > From: Anshuman Khandual <[email-masked]>
> >
> > This patch adds ptrace interface test for EBB/PMU specific
> > registers. This also adds some generic ptrace interface
> > based helper functions to be used by other patches later
> > on in the series.
> 
> This is consistently failing for me on a P8 Tuleta (pvr 004b 0201):
> 
> # ./ptrace-ebb 
> test: ptrace_ebb_pmu
> tags: git_version:v4.8-rc5-176-g89cf1de0ae90
> EBBRR: 100059f8
> EBBHR: 100053cc; expected: 100053cc
> BESCR: 8000000100000000
> SIAR:  100012d0
> SDAR:  3fff7e4cc000
> SIER:  3000000; expected: 2000000
> MMCR2: 0; expected: 0
> MMCR0: 180000080; expected: 180000080
> failure: ptrace_ebb_pmu
> 
> cheers
Michael,

Yes.. SIER has different value in baremetal and virtual machine
due to different MSR[HV] value.  I will correct it. Originally I only
tested in virtual BE/LE machines.

Currently all tests cases (with fix) passed on one baremetal P8 machine 
with LE OS installed.  And I will try to find another baremetal with BE 
OS installed to test.

Thanks for indicating it.

BR,
Simon